Run Feed
POST
/api/v1/workspaces/{workspace_id}/feeds/{id}/run
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/feeds/1/run';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"parameters":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/feeds/1/run \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "parameters": { "additionalProperty": "example" } }'Runs a feed.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
id
required
integer
Feed ID
Request Body
Section titled “Request Body”Media typeapplication/json
object
parameters
object
key
additional properties
string
Examplegenerated
{ "parameters": { "additionalProperty": "example" }}Responses
Section titled “Responses”Successful
Media typeapplication/json
object
body
required
object
key
additional properties
any
status
required
integer
error
required
string
url
required
string
extracted_data
object
key
additional properties
string
Example
{ "status": "200", "error": "Internal server error", "url": "https://example.com"}Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Not Found
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}